/*jslint laxbreak:true */
/*jslint laxcomma:true */
/*jslint loopfunc:true */
/*jslint strict:true */
/*jslint browser:true */
/*jslint devel:true */
define([
	"underscore"
	, "backbone"

	, "models/server"

	, "backbone-localstorage"
]
, function (_, Backbone, ServerModel) {
	"use strict";

	var Server		= Backbone.Collection.extend({
		model:			ServerModel

		, localStorage:	new Backbone.LocalStorage("local-playlist")

		, initialize:	function () {
			//_.bindAll(this, "");

			return Server.__super__.initialize.call(this, arguments);
		}

	});

	return Server;
});